Readiness probe (store reachable AND this node is the active writer AND, before first setup, that setup read can run); 503 on standby, store down, unknown setup state, blocked first boot, or a failed setup probe
const url = 'https://example.com/readyz';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/readyzAnswers 200 when the store is reachable, this node is the active writer, and, when the install is not yet set up, the first-boot setup read can run. HTTP 200 with setup_required true is an observation that setup can be attempted; POST /v1/setup still rechecks authority. Answers 503 when the store is down, this node is a standby, setup state cannot be observed (setup_required is omitted because it is unknown), first-boot enumeration is not authoritative (setup_blocked), or the setup capability probe fails. A 503 is not ready.
Authorizations
Section titled “ Authorizations ”- None
Responses
Section titled “ Responses ”OK
object
Example generated
{ "status": "example"}Bad request
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Unauthenticated
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Forbidden
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Not found
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Conflict / setup required
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Rate limited
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}